Name:           maven2-bootstrap-bundle
Version:        0.1
Release:        alt8
Summary:        pack of jars/poms required to build bootstrap maven2 (temporary package)
License:        Apache Software License 2.0
Group:          Development/Java
#URL:            http://excalibur.apache.org/
Source0:        maven2-bootstrap-bundle.tar.bz2

BuildArch:      noarch
Provides: spring = 1.2.9
Provides: spring-all = 1.2.9
Provides: spring-core = 1.2.9
Provides: spring-beans = 1.2.9


BuildRequires: jpackage-utils

%description
temporary package to satisfy circular dependencies:
bootstrap pack of jars/poms required for maven2 build.

%prep
%setup -c

%build

%install
# jars
#install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT
[ -e etc ] && mv etc $RPM_BUILD_ROOT
[ -e usr ] && mv usr $RPM_BUILD_ROOT

#pushd $RPM_BUILD_ROOT%{_javadir}/excalibur
#ln -s excalibur-thread-impl-2.2.1.jar excalibur-thread-impl.jar
#popd

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*
%{_datadir}/maven2/*
%_mavendepmapfragdir/*
/usr/share/spring-1.2.9/*

%changelog
* Mon Mar 24 2008 Igor Vlasenko <viy@altlinux.ru> 0.1-alt8
- removed jppbootstrapped spring-*

* Sat Dec 15 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt7
- removed oscache

* Mon Dec 03 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt6
- added spring-core spring-beans

* Wed Nov 28 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt5
- removed geronimo-specs poms

* Sun Nov 25 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt4
- removed oscore

* Sat Nov 24 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt3
- added oscore and oscache

* Sun Nov 18 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt2
- added geronimo-specs poms

* Sat Aug 04 2007 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1
- first build (tmp package to satisfy circular dependencies)

